Cyberduck Mountain Duck CLI

#10162 closed defect (worksforme)

Crash in CFPreferencesSetAppValueWithContainer

Reported by: rtriay Owned by: dkocher
Priority: highest Milestone:
Component: core Version: 6.3.1
Severity: normal Keywords: transfert
Cc: Architecture:
Platform: macOS 10.13

Description

De puis que j'ai installer le nouveau système macOS High Sierra (version 10.13.1) Cyberduck ne permet plus de transférer mes fichiers locaux vers un remote site et inversement, alors que j'accède bien au répertoire remote. Cette opération plante le système, un diagnostic d'erreur est envoyé à Apple.. voir le fichier ci-joint

Attachments (1)

Cyberduck - Pbs.rtf (1.1 MB) - added by rtriay on Dec 3, 2017 at 5:05:42 PM.
diagnostic d'erreur

Download all attachments as: .zip

Change History (5)

Changed on Dec 3, 2017 at 5:05:42 PM by rtriay

diagnostic d'erreur

comment:1 Changed on Dec 6, 2017 at 11:45:52 AM by dkocher

Heaviest stack for the main thread of the target process:
  29  ??? [0x7ffee5311858]
  29  ??? (<857D4AE9-05D4-371F-A490-AEF41A5867A1> + 57652) [0x116759134]
  29  -[NSUserDefaults(NSUserDefaults) setObject:forKey:] + 55 (Foundation + 207938) [0x7fff4b196c42]
  29  _CFPreferencesSetAppValueWithContainer + 117 (CoreFoundation + 582597) [0x7fff490c73c5]
  29  -[_CFXPreferences setValue:forKey:appIdentifier:container:configurationURL:] + 96 (CoreFoundation + 1967232) [0x7fff49219480]
  29  -[_CFXPreferences(SearchListAdditions) withSearchListForIdentifier:container:cloudConfigurationURL:perform:] + 341 (CoreFoundation + 1814277) [0x7fff491f3f05]
  25  __108-[_CFXPreferences(SearchListAdditions) withSearchListForIdentifier:container:cloudConfigurationURL:perform:]_block_invoke + 287 (CoreFoundation + 1814671) [0x7fff491f408f]
  25  -[CFPrefsSource setValue:forKey:from:] + 63 (CoreFoundation + 1537823) [0x7fff491b071f]
  25  -[CFPrefsSource setValues:forKeys:count:from:] + 26 (CoreFoundation + 1537754) [0x7fff491b06da]
  25  -[CFPrefsSource setValues:forKeys:count:removeValuesForKeys:count:from:] + 219 (CoreFoundation + 1536907) [0x7fff491b038b]
  25  -[CFPrefsSearchListSource alreadylocked_setValues:forKeys:count:from:] + 1232 (CoreFoundation + 1807376) [0x7fff491f2410]
  25  -[CFPrefsSearchListSource alreadylocked_copyDictionary] + 546 (CoreFoundation + 230450) [0x7fff49071432]
  24  -[CFPrefsSource mergeIntoDictionary:sourceDictionary:] + 140 (CoreFoundation + 1539548) [0x7fff491b0ddc]
  24  CFDictionaryApplyFunction + 192 (CoreFoundation + 254192) [0x7fff490770f0]
  24  CFBasicHashApply + 128 (CoreFoundation + 254400) [0x7fff490771c0]
  24  __CFDictionaryApplyFunction_block_invoke + 22 (CoreFoundation + 254470) [0x7fff49077206]
  14  __54-[CFPrefsSource mergeIntoDictionary:sourceDictionary:]_block_invoke + 22 (CoreFoundation + 1539622) [0x7fff491b0e26]
  14  CFDictionaryAddValue + 234 (CoreFoundation + 254714) [0x7fff490772fa]
  7   CFBasicHashAddValue + 2850 (CoreFoundation + 35698) [0x7fff49041b72]
  6   __CFBasicHashAddValue + 94 (CoreFoundation + 39294) [0x7fff4904297e]
  3   __CFBasicHashRehash + 1461 (CoreFoundation + 15381) [0x7fff4903cc15] (running)

comment:2 Changed on Dec 6, 2017 at 11:47:56 AM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from transfert de fichiers ftp to Crash in CFPreferencesSetAppValueWithContainer

comment:3 Changed on Dec 6, 2017 at 11:49:55 AM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Please navigate to {{~/Library/Preferences/}} by navigate to the _Library_ folder using {{⌘⇧-L}} in Finder or use _Go → Go to Folder…_. and remove the file ch.sudo.cyberduck.plist. Alternatively open a Terminal.app window and enter defaults delete ch.sudo.cyberduck.

comment:4 Changed on Aug 17, 2018 at 8:06:31 AM by dkocher

#10420 closed as duplicate.

Note: See TracTickets for help on using tickets.